---
lang: en
title: 'API docs: rest.rebaseopenapispec'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.rebaseopenapispec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [rebaseOpenApiSpec](./rest.rebaseopenapispec.md)

## rebaseOpenApiSpec() function

<b>Signature:</b>

```typescript
export declare function rebaseOpenApiSpec<T extends Partial<OpenApiSpec>>(spec: T, basePath: string): T;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  spec | <code>T</code> |  |
|  basePath | <code>string</code> |  |

<b>Returns:</b>

`T`


